Chart-1.9.3: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2006 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Plot.FillBetween

Contents

- Accessors

Description

Plots that fill the area between two lines.

Synopsis

- data PlotFillBetween x y = PlotFillBetween {
  - _plot_fillbetween_title :: String
  - _plot_fillbetween_style :: FillStyle
  - _plot_fillbetween_line :: Maybe LineStyle
  - _plot_fillbetween_values :: [(x, (y, y))]
  }
- plot_fillbetween_title :: forall x y. Lens' (PlotFillBetween x y) String
- plot_fillbetween_style :: forall x y. Lens' (PlotFillBetween x y) FillStyle
- plot_fillbetween_line :: forall x y. Lens' (PlotFillBetween x y) (Maybe LineStyle)
- plot_fillbetween_values :: forall x y x y. Lens (PlotFillBetween x y) (PlotFillBetween x y) [(x, (y, y))] [(x, (y, y))]

# Documentation

data PlotFillBetween x y Source #

Value specifying a plot filling the area between two sets of Y coordinates, given common X coordinates.

Constructors

PlotFillBetween |

Fields

- _plot_fillbetween_title :: String
- _plot_fillbetween_style :: FillStyle
- _plot_fillbetween_line :: Maybe LineStyle
- _plot_fillbetween_values :: [(x, (y, y))]

#### Instances

Instances details

ToPlot PlotFillBetween Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.FillBetween Methods toPlot :: PlotFillBetween x y -> Plot x y Source #
Default (PlotFillBetween x y) Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.FillBetween Methods def :: PlotFillBetween x y Source #

# Accessors

These accessors are generated by template haskell

plot_fillbetween_title :: forall x y. Lens' (PlotFillBetween x y) String Source #

plot_fillbetween_style :: forall x y. Lens' (PlotFillBetween x y) FillStyle Source #

plot_fillbetween_line :: forall x y. Lens' (PlotFillBetween x y) (Maybe LineStyle) Source #

plot_fillbetween_values :: forall x y x y. Lens (PlotFillBetween x y) (PlotFillBetween x y) [(x, (y, y))] [(x, (y, y))] Source #